msgpack::adaptor::convert< std::unordered_map< K, V, Hash, Compare, Alloc > > Struct Template Reference

`#include <unordered_map.hpp>`

## Public Member Functions

msgpack::object const & | operator() (msgpack::object const &o, std::unordered_map< K, V, Hash, Compare, Alloc > &v) const

## Member Function Documentation

## operator()()

template<typename K , typename V , typename Hash , typename Compare , typename Alloc >

msgpack::object const& msgpack::adaptor::convert< std::unordered_map< K, V, Hash, Compare, Alloc > >::operator() | ( | msgpack::object const & | o,
|  | std::unordered_map< K, V, Hash, Compare, Alloc > & | v
| ) |  | const

inline

References msgpack::object::convert(), msgpack::object_kv::key, msgpack::type::MAP, msgpack::object::union_type::map, msgpack::move(), msgpack::object_map::ptr, msgpack::object_map::size, msgpack::object::type, msgpack::object_kv::val, and msgpack::object::via.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/cpp11/unordered_map.hpp